body {
  direction: ltr;
}

input,
select,
button {
  font-family: inherit;
  font-size: inherit;
}

input[type="checkbox"] {
  margin: 0 0.5rem 0 0.75rem;
}

header {
  position: absolute;
  top: 0;
  width: 100%;
  margin: 0;
}

main {
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  transform: translateY(-50%);
  width: 100%;
  margin: 0;
}

footer {
  position: absolute;
  bottom: 0;
  right: 0;
}

.sapUiBody {
  background-color: #fafafa;
  color: #333333;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 1rem;
  -webkit-tap-highlight-color: transparent;
  width: 100%;
  margin: 0;
}

@media (max-height: 429px) {
  .sapUiSraLoginHeight5 header {
    display: none;
  }
  .sapUiSraLoginHeight5 footer {
    display: none;
  }
}

@media (max-height: 359px) {
  .sapUiSraLoginHeight5 main {
    top: 0;
    -webkit-transform: none;
    -ms-transform: none;
    -moz-transform: none;
    transform: none;
  }
}

.sapUiBackground {
  background-size: cover;
  -webkit-background-size: cover;
  background-attachment: scroll;
  /*background-image: url("img/background.jpg");*/
}

.hspan {
  height: 100vh;
  width: 1px;
  background-color: transparent;
  visibility: hidden;
}

.loginLogo {
  margin: 0.75rem 1rem;
}

.loginForm {
  margin: 0 auto;
  width: 288px;
  background-color: #fafafa;
  color: #333333;
}

.sapUiSraAfterLogin .loginForm {
  opacity: 0.3;
}

.loginInput {
  height: 2.5rem;
  line-height: 2.5rem;
  margin: 0.5rem 0;
}

.sapUiLightestBG {
  /*background-color: #ffffff;*/
  background-color: #fafafa;
  color: #333333;
}

.loginHiddenAccessible {
  position: absolute;
  left: -150%;
  height: 1px;
  width: 1px;
  overflow: hidden;
}

.loginInputField {
  height: 2.5rem;
  width: 288px;
  padding: 0 0.75rem;
  box-sizing: border-box;
  border: 1px solid #bfbfbf;
}

.loginInputField:hover,
.loginInputField:focus {
  outline: none;
  border-color: #427ca7;
}

.loginButtonRow {
  margin: 0.75rem 0 0.5rem;
}

.loginButton {
  width: 288px;
  height: 2.5rem;
  border-radius: 0.25rem;
  cursor: pointer;
  padding: 0 0.75rem;
}

.sapUiButtonEmphasized {
  color: #ffffff;
  background-color: #5496cd;
  border: 1px solid #367db8;
  text-shadow: 0 1px #000000;
}

.sapUiButtonEmphasized:hover {
  background-color: #367db8;
  border-color: #367db8;
}

.sapUiButtonEmphasized:focus {
  background-color: #427cac;
  border-color: #427cac;
  text-shadow: none;
}

.sapUiButtonLite {
  color: #346187;
  background-color: transparent;
  border: 1px solid transparent;
  text-shadow: 0 1px rgba(255, 255, 255, 0.5);
}

.sapUiButtonLite:hover {
  background-color: rgba(191, 191, 191, 0.5);
  border-color: rgba(191, 191, 191, 0.5);
}

.sapUiButtonLite:focus {
  color: #ffffff;
  background-color: #427cac;
  border-color: #427cac;
  text-shadow: none;
}

.loginLogo {
  margin: 0.75rem 1rem;
}

.login100SAP {
  margin: 1.75rem 0 0.5rem;
}

.loginCopyright {
  position: relative;
  right: 0;
  padding: 1rem;
}

.sapMLabel {
  color: #666666;
  font-size: 0.875rem;
  font-family: Arial, Helvetica, sans-serif;
  font-weight: normal;
}

.busyAnimation {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  z-index: 9999;
  width: 3rem;
  height: 1rem;
  margin: 0 auto;
  display: none;
}

.navbody {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
}

.navbar {
  display: flex;
  justify-content: center;
  background-color: #5496cd;
  padding: 3px 0;
  
  /* Fonte: */
	color: #ffffff;
	border: 1px solid #367db8;
	text-shadow: 0 1px #000000;
}

.navbar a {
  color: white;
  text-decoration: none;
  padding: 10px 20px;
  text-align: center;
  transition: background-color 0.3s;
}

.navbar a:hover {
  background-color: #367db8;
}

/* Responsividade */
@media (max-width: 600px) {
  .navbar {
	flex-direction: column;
  }

  .navbar a {
	padding: 15px;
  }
}

.container {
	float: left;
	display: flex; /* Alinha os filhos lado a lado */
	justify-content: center; /* Para alinhar as caixas horizontalmente */
	align-items: flex-start; /* Para alinhar as caixas verticalmente dentro do contêiner */
}

.caixa {
	border: 1px solid gray;
	display: inline-block; /* Coloca as caixas lado a lado */
	font-size: 16px; /* Defina o tamanho da fonte novamente para as caixas */
	width: 100px; /* Exemplo de largura */
	height: 100px; /* Exemplo de altura */
	margin: 5px; /* Adiciona um pouco de espaço entre elas */
	padding: 10px; /* Margem de dentro */
	border-radius: 10px; /* Borda arredondada */
	background-color: #F5F5F5; /* Cor de fundo */
	
	/* Fonte: */
	color: #000000;
	border: 1px solid #367db8;
	text-shadow: 0 1px #ffffff;
}

table {
  table-layout: fixed;
  width: 100%;
  border: 1px solid #F5F5F5;
}

td {
  border: 1px solid blue;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

th { border: 1px solid #ccc; padding: 8px; text-align: left; }
th { background-color: #f2f2f2; }
.paginacao a { margin: 0 5px; text-decoration: none; }
.paginacao strong { margin: 0 5px; }
